Bug 1470706 - (CVE-2017-11171) CVE-2017-11171 gnome-session: Bad reference counting in accept_ice_connection() permits resource exhaustion
CVE-2017-11171 gnome-session: Bad reference counting in accept_ice_connection...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20170711,reported=2...
: Security
Depends On: 1470707
Blocks: 1470723
  Show dependency treegraph
 
Reported: 2017-07-13 09:48 EDT by Pedro Sampaio
Modified: 2017-09-05 11:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A denial-of-service flaw was found in the way gnome-session handled ICE connections. A local, authenticated attacker could potentially use this flaw to cause the gnome-session process to exhaust its file descriptors and enter an infinite loop, thereby leading to denial of service.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-04 00:33:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pedro Sampaio 2017-07-13 09:48:18 EDT
Bad reference counting in the context of accept_ice_connection() in gsm-xsmp-server.c in old versions of gnome-session up until version 2.29.92 allows a local attacker to establish ICE connections to gnome-session with invalid authentication data (an invalid magic cookie). Each failed authentication attempt will leak a file descriptor in gnome-session. When the maximum number of file descriptors is exhausted in the gnome-session process, it will enter an infinite loop trying to communicate without success, consuming 100% of the CPU. The graphical session associated with the gnome-session process will stop working correctly, because communication with gnome-session is no longer possible.

Upstream patch:

https://github.com/GNOME/gnome-session/commit/b0dc999e0b45355314616321dbb6cb71e729fc9d

References:

https://bugzilla.suse.com/show_bug.cgi?id=1025068
https://bugzilla.suse.com/show_bug.cgi?id=1048274
http://seclists.org/oss-sec/2017/q3/121
Comment 1 Pedro Sampaio 2017-07-13 09:48:38 EDT
Created gnome-session tracking bugs for this issue:

Affects: fedora-all [bug 1470707]

Note You need to log in before you can comment on or make changes to this bug.